#!/bin/bash

# Name of the cluster which defines the clients' names
CLUSTERNAME="lice"
# Last integer index of the minions in the cluster
MINIONLASTIND="14"
# Directory name which is a mount point on clients
TARGETDIR="/mnt/gluster-input"

# Rest of tasks 
RUNCMD="umount ${TARGETDIR}"
# ... Master
echo "...  unmounting on ${CLUSTERNAME}-master"
echo $RUNCMD | bash
# ... Minion
for ind in $(seq 0 ${MINIONLASTIND})
do
	  echo "... unmounting on ${CLUSTERNAME}-minion-${ind}"
	    ssh ${CLUSTERNAME}-minion-${ind} "${RUNCMD}"
done

